package com.prolog.cs.biz.outbound.model.dto.check;

import java.io.Serializable;
import java.util.List;

import com.prolog.cs.biz.outbound.model.vo.check.InnerCheckTaskDVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("复核确认")
public class CheckConfirmDTO implements Serializable {
    private static final long serialVersionUID = 9085375925115170001L;
    @ApiModelProperty(value = "拣货任务明细id")
    private String pickTaskDId;

    @ApiModelProperty(value = "容器code",required = true)
    private String containerCode;

    @ApiModelProperty(value = "订单id",required = true)
    private String billGroupId;

    @ApiModelProperty(value = "复核台编号", required = true)
    private String stationCode;

    @ApiModelProperty(value = "运单号", required = true)
    private String shipBillNo;

    @ApiModelProperty(value = "拣选任务明细")
    private List<InnerCheckTaskDVO> innerCheckTaskDVOS;

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }

    public List<InnerCheckTaskDVO> getInnerCheckTaskDVOS() {
        return innerCheckTaskDVOS;
    }

    public void setInnerCheckTaskDVOS(List<InnerCheckTaskDVO> innerCheckTaskDVOS) {
        this.innerCheckTaskDVOS = innerCheckTaskDVOS;
    }

    public String getShipBillNo() {
        return shipBillNo;
    }

    public void setShipBillNo(String shipBillNo) {
        this.shipBillNo = shipBillNo;
    }
}
